var Fodmaps = Fodmaps || {};

Fodmaps.Recipes = function(){

	var recipesTpl;
	var recipeTpl;
	var recipeCategoriesTpl;
	var recipeNavPos = 1;
	var currentCategory = 0;

	var init = function(){

		// Compile templates
		//receptTpl = Handlebars.compile($("#recept-tpl").html());
	    //homeTpl = Handlebars.compile($("#home-tpl").html());
	    recipesTpl = Handlebars.templates['recipes.tmpl'];
	    recipeTpl = Handlebars.templates['recipe.tmpl'];	    
	    recipeCategoriesTpl = Handlebars.templates['recipesCategory.tmpl'];

		showRecipeList();
	}

	var recipeNavigate = function() {
		if (recipeNavPos == 1) // Categories list
			$.mobile.changePage('index.html');
		else if (recipeNavPos == 2) // Inside category
			showRecipeCategories();
		else
			showCategory(currentCategory); // Recipe view

	}

	var showRecipeCategories = function() {
		$("#recipe-nav .ui-btn-text").text('Hem');
		$("#recipe-nav").trigger('create');
		recipeNavPos = 1;
		$('#recipes-wrap').html(recipeCategoriesTpl(Fodmaps.RecipesData.Categories));
		$('#recipes-wrap').trigger('create');
	}

	var showCategory = function(id){
		
		currentCategory = id;
		recipeNavPos = 2;
		var data = getCategoryItems(id);

		$("#recipe-nav .ui-btn-text").text('Tillbaka');
		$("#recipe-nav").trigger('create');

		$('#recipes-wrap').html(recipesTpl(data));
		$('#recipes-wrap').trigger('create');
	}

	var showRecipeList = function() {
		
		$("#recept-wrap").html(recipesTpl(Fodmaps.RecipesData.Dinner));
		$("#recept-wrap").trigger('create');
		recipeNavPos = 1;
		return false;
	}

	var getCategoryItems = function(id){
		var data;

		if (id == 1)
			data = Fodmaps.RecipesBake.Items;
		else if (id == 2)
			data = Fodmaps.RecipesFish.Items;
		else if (id == 3)
			data = Fodmaps.RecipesChiken.Items;
		else if (id == 4)
			data = Fodmaps.RecipesMeat.Items;
		else if (id == 5)
			data = Fodmaps.RecipesPasta.Items;
		else if (id == 6)
			data = Fodmaps.RecipesSoupSallad.Items;

		return data;

	}

	var showRecipe = function(recipe) {

		var array = getCategoryItems(recipe.category); 

		var obj = Fodmaps.Utilities.FindById(recipe.id, array, "id");
		if (obj != null) {
			$("#recipe-nav .ui-btn-text").text('Tillbaka');
			$("#recipe-nav").trigger('create');
			$('#recipes-wrap').html(recipeTpl(obj));
			$('#recipes-wrap').trigger('create');
			recipeNavPos = 3;
		}
		return false;
	}

	return {
		Init: init,
		ShowRecipeList: showRecipeList,
		ShowRecipe: showRecipe,
		RecipeNavigate: recipeNavigate,
		ShowRecipeCategories: showRecipeCategories,
		ShowCategory: showCategory
	}

}();

/* ----------- DATA FOR VIEWCLASS -------------------- */
Fodmaps.RecipesBake = function(){

	var items = [
			{
				id: 1,
				categoryId: 1,
				title: 'Glutenfritt bröd',
				intro: '', 
				ingredients: '<ul><li>4 dl fingervamt vatten</li><li>25 g jäst</li><li>1 tsk salt</li><li>2 msk olja (raps eller oliv)</li><li>1 msk brödkryddor</li><li>1,5 msk ren lönnsirap</li><li>400g Finax grov mjölmix (ca 7 dl)</li><li>0,5 msk fiberhusk</li></ul>', 
				htmlcontent: '<p><ol><li>Smörj en brödform (ca 1,5l) med smör eller margarin</li><li>Lös upp jästen i det fingervarma vattnet.</li><li>Tillsätt olja, salt och lönnsirap.</li><li>Häll i mjölmixen och fiberhusk.</li><li>Vispa degen kraftigt med maskin. (Går för hand men rör tills inga mjölklumpar finns kvar)</li><li>Häll i smeten i brödformen.</li><li>Låt jäsa under bakduk i 30 minuter.</li><li>Grädda i nedre delen i en ugn på 200 grader.</li><li>Låt brödet vila under bakduk.</li></ol></p><p><strong>Degen kan upplevas kladdig vilket är normalt, brödet får en fin konsistens när det har gräddats.</strong></p>',
				image: 'bread.jpg'
			},
			{
				id: 2, 
				title: 'Pannkakor',
				categoryId: 1,
				intro: '<p><strong>Antal portioner:</strong> 6</p>', 
				ingredients: '<ul><li>3 ägg</li><li>3 dl glutenfri mjölmix</li><li>6 dl laktosfri mjölk</li><li>1/2 krm salt</li></ul>', 
				htmlcontent: '<p>Häll den laktosfria mjölken i en bunke och knäck i äggen. Tillsätt det glutenfria mjölet lite i taget medan du vispar. Fortsätt tills allt mjöl har blandat sig med mjölken. Rör ner saltet. Låt svälla ca 15 minuter i kylskåp.<br/>Stek pannkakorna i smör eller olja på medelvärme. Servera direkt!</p><p><strong>Tips:</strong> Servera med färska jordgubbar och lönnsirap, väldigt gott!</p>',
				image: 'pancakes.jpg'
			},
			{
				id: 3, 
				title: 'Kladdkaka',
				categoryId: 1,
				intro: '<p><strong>Antal bitar:</strong> 6-8</p>', 
				ingredients: '<ul><li>Smör eller margarin till formen</li><li>3 ägg</li><li>3 dl socker</li><li>4-5 msk kakao</li><li>125 g flytande eller smält laktosfritt margarin eller smör</li><li>1,5 dl glutenfri mjölmix</li></ul>', 
				htmlcontent: '<p><ol><li>Sätt ugnen på 200 grader (175 grader vid varmluftsugn)</li><li>Smörj en form, 26 cm i diameter (för en kaka)</li><li>Vispa ägg och socker poröst.</li><li>Vänd ner kakao, margarin och glutenfri mix.</li><li>Häll smeten i formen.</li><li>Grädda i mitten av ugnen ca 20 minuter.</li><li>Låt kakan kallna och skär den i bitar</li></ol></p><p><strong>Serveringsförslag:</strong> Servera med jordgubbar och en klick laktosfri grädde.</p>'
			},
			{
				id: 4, 
				title: 'Kesokaka med citron',
				categoryId: 1,
				intro: '<p><strong>Antal bitar:</strong> ca 7</p>', 
				ingredients: '<ul><li>3 ägg</li><li>0,5 dl socker</li><li>1 krm salt</li><li>Rivet skal (det gula) och saft av en halv citron</li><li>0,5 dl havremjöl (av 100% ren havre)</li><li>500 g laktosfri keso 4%</li><li>1 dl laktosfri matlagningsgrädde</li></ul>', 
				htmlcontent: '<p><ol><li>Sätt ugnen på 175 grader (150 grader vid varmluftsugn)</li><li>Vispa ägg och socker.</li><li>Rör ner resten av ingredienserna.</li><li>Häll smeten i en smord ugnssäker form.</li><li>Grädda i mitten av ugnen ca 1 tim.</li><li>Låt kakan kallna och skär den i bitar</li></ol></p><p><strong>Serveringsförslag:</strong> Servera med jordgubbar och en klick laktosfri grädde.</p>'
			},
			{
				id: 5, 
				title: 'Muffins med hallon',
				categoryId: 1,
				intro: '<p><strong>Antal muffins:</strong> ca 10</p>', 
				ingredients: '<ul><li>90 g rumsvarmt laktosfritt smör</li><li>0,5 tsk vaniljsocker</li><li>110 g strösocker</li><li>2 ägg</li><li>2,5 - 3 dl Finax Lågprotein mjölmix</li><li>1 tsk bakpulver</li><li>2 msk msk laktosfri mjölk</li><li>Frysta hallon</li></ul>', 
				htmlcontent: '<p><ol><li>Sätt ugnen på 175 grader (150 grader vid varmluftsugn)</li><li>Rör smör, vaniljsocker, ägg, mjölmix, bakpulver och mjölk på låg hastighet med elvisp tills alla ingredienser är blandade. Öka hastigheten och vispa tills smeten blir ljusare och slätare.</li><li>Fördela smeten i muffinsformar.</li><li>Tryck ner ett eller två hallon i varje muffins.</li><li>Grädda i mitten av ugnen ca 20 - 30 minuter (beroende på storlek)</li><li>Låt svalna på ett galler.</li></ol></p>',
				image: 'cupcakes.jpg'
			},
			{
				id: 6,
				title: 'Glutenfria våfflor',
				categoryId: 1,
				intro: '',
				ingredients: '<p style="text-align: left;">150 gram sm&auml;lt sm&ouml;r/margarin<br />3 dl mj&ouml;lk<br />3 dl vatten<br />4 dl grov glutenfri mj&ouml;lmix<br />2 tsk bakpulver<br />2 tsk vaniljsocker<br />en nypa salt</p>',
				htmlcontent: '<p>H&auml;ll de torra ingredienserna i en bunke, r&ouml;r om och tills&auml;tt sedan v&auml;tskan lite i taget f&ouml;r att f&aring; en s&aring; klumpfri smet som m&ouml;jligt. L&aring;t g&auml;rna sv&auml;lla en liten stund och gr&auml;dda sedan i ett våffeljärn. L&auml;gg v&aring;fflorna p&aring; ett galler och &auml;t s&aring; nygr&auml;ddade som m&ouml;jligt.</p>',
				image: 'vafflor.jpg'
			},
			{
				id: 7,
				title: 'Gluten- och laktosfria hamburgerbröd ',
				categoryId: 1,
				intro: '<p>Antal: 14 st</p>',
				ingredients: '<p>50 g j&auml;st<br />4 dl laktosfri mj&ouml;lk<br />1 dl laktosfri mat och bak kvarg<br />1/2 dl olja<br />1 msk fiberhusk<br />1 tsk salt<br />1/2 tsk l&ouml;nnsirap<br />3 dl grov mix<br />7 dl fin mix</p>',
				htmlcontent: '<p>Smula j&auml;sten i en degbunke, h&auml;ll i salt och L&ouml;nnsirap.<br />V&auml;rm mj&ouml;lken och oljan tills det &auml;r fingervarmt (37&deg;).<br />Blanda ut j&auml;sten med degspadet, h&auml;ll i kvarg och fiberhusk och blanda v&auml;l. L&aring;t st&aring; 10 min s&aring; husken f&aring;r sv&auml;lla.<br />H&auml;ll i mixerna och blanda samman till en mellanl&ouml;s deg. L&aring;t den j&auml;sa &ouml;vert&auml;ckt i 40 min.<br />Dela in degen i 14 bitar, som sedan formas till platta hamburgerbr&ouml;d.<br />Pensla med uppvispat &auml;gg och str&ouml; sesamfr&ouml;n &ouml;ver. L&aring;t j&auml;sa 15 min.<br />Gr&auml;dda mitt i 250&deg; varm ugn i 10 min.</p>',
				image: 'hamburgare.jpg'
			},
			{
				id: 8,
				title: 'Ostfrallor',
				categoryId: 1,
				intro: '<p>Antal: 6 st</p>',
				ingredients: '<p><span>2 &auml;gg</span><br /><span>50 g sm&ouml;r</span><br /><span>2 dl fet yoghurt (minst 10% fetthalt)</span><br /><span>0,75 tsk salt</span><br /><span>2 tsk bakpulver</span><br /><span>2 dl risenta bovetemj&ouml;l</span><br /><span>1 dl pofiber</span><br /><span>2 msk fiberhusk<br />Riven ost</span></p>',
				htmlcontent: '<p>Vispa samman &auml;gg, &ldquo;halvsm&auml;lt&rdquo; (s&aring; det l&auml;tt g&aring;r att blanda ihop) sm&ouml;r, yoghurt, salt och bakpulver. H&auml;ll i och blanda samman med resten av ingredienserna. L&aring;t st&aring; i cirka 5-10 minuter s&aring; att fiberhusk och pofiber hinner absorbera v&auml;tskan s&aring; att smeten/degen blir fast. Rulla till 6 stycken bollar. L&auml;gg dem p&aring; ugnspl&aring;ten, och str&ouml; riven ost &ouml;ver. Gr&auml;dda i 175 grader i cirka 15-20 minuter eller tills de f&aring;tt fin f&auml;rg.</p>',
				image: 'ostfrallor.jpg'
			}
		];

	return {
		Items: items
	}

}();

Fodmaps.RecipesFish = function(){
	var items =	[
		{
			id: 1,
			categoryId: 2,
			title: 'Fiskspett med jätteräkor', 
			intro: '<p>Tillagningstid: ca 1.5 timme<br/>Receptet ger 4-6 spett</p><p>Serveras med slungad färsk spenat och en grönsallad med soltorkade tomater och riven parmesanost.</p>', 
			ingredients: '<ul><li>8 st jätteräkor</li><li>300 g lax i små kuber</li><li>300 g marulk eller annan vit fisk i små kuber</li><li>1 st citron</li><li>1 dl färsk hackad timjan</li><li>2 msk olivolja</li><li>Salt/chili</li></ul>', 
			htmlcontent: '<p><ol><li>Pressa citronsaften i en skål.</li><li>Finhacka ca 1 dl färsk timjan och lägg i skålen.</li><li>Blanda ner 2 msk olivolja samt salt och lite röd chili.</li><li>Dela jätteräkorna på mitten. Skär fisken i kuber.</li><li>Trä upp fisk samt räkor på träspett. Pensla över marinaden och låt stå i kylen ca 1 timme.</li><li>Grilla alternativt stek i ugnen ca 10 minuter tills fisken är genomstekt. Pensla en gång till med marinaden under grillningen.</li></ol></p>',
			image: 'shrimpfish.jpg'
		},
		{
			id: 2,
			categoryId: 2, 
			title: 'Lax i ugn',
			intro: '<p>Serveras med potatis och en god sallad!</p>', 
			ingredients: '<ul><li>C:a 1 kg laxfilé med skinn</li><li>Laktosfritt smör</li><li>Färsk dill</li><li>Salt</li><li>Peppar</li></ul>', 
			htmlcontent: '<p><ol><li>Sätt ugnen på 150 grader.</li><li>Lägg bakplåtspapper i en ugnsfast form och smöra det.</li><li>Lägg på fisken med skinnsidan nedåt. Strö på kryddorna.</li><li>Grädda i ugnen i 30-35 minuter.</li></ol></p>',
			image: 'salmon-oven.jpg'
		},
		{
			id: 3,
			categoryId: 2, 
			title: 'Torsk i ugn',
			intro: '<p><strong>Antal portioner:</strong> 4</p>', 
			ingredients: '<ul><li>600 g torsk</li><li>900 g potatis</li><li>1 knippe vårlök</li><li>1 tsk olja</li><li>2 dl laktosfri crème fraiche</li><li>2 dl krossade tomater (Läs innehållsförteckningen så att den ej innehåller lök)</li><li>Salt och peppar</li><li>2 tsk oregano</li></ul>', 
			htmlcontent: '<p><ol><li>Tina fisken</li><li>Sätt ugnen på 225 grader</li><li>Koka potatisen i saltat vatten.</li><li>Strimla vårlöken <strong>Obs,</strong> endast den gröna delen.</li><li>Stek vårlöken i oljan, häll på crème fraiche, krossade tomater och låt sjuda några minuter.</li><li>Skär fisken i grova bitar och lägg dem i en ugnssäker form, krydda med salt, peppar och oregano.</li><li>Häll på tomatsåsen.</li><li>Tillaga mitt i ugnen i ca 20 minuter eller tills fisken är vit inuti.</li></ol></p>'
		},
		{
			id: 4,
			categoryId: 2, 
			title: 'Lax med västerbottenost',
			intro: '<p><strong>Antal portioner:</strong> 4</p>', 
			ingredients: '<ul><li>800 g laxfilé med skinn</li><li>Grovt havssalt</li><li>Fryst persilja</li><li>1,5 dl riven västerbottenost</li></ul>', 
			htmlcontent: '<p><ol><li>Sätt ugnen på 175 grader</li><li>Smörj en ugnsforms med laktosfrittsmör.</li><li>Skär snitt i laxfilén med ca 2 cm mellanrum</li><li>Ha ner persilja och västerbottenost i snitten.</li><li>Strö ut ett tunt lager med havssalt i den smörjda ugnsformen.</li><li>Lägg fisken i formen med skinnet uppåt.</li><li>Tillaga i ugnen i ca 12 minuter.</li></ol></p><p><em>Servera med potatis och en sallad!</em></p>',
			image: 'salmon.jpg'
		}
	];

	return {
		Items: items
	}

}();

Fodmaps.RecipesChiken = function() {
	var items = [
		{
			id: 1,
			categoryId: 3, 
			title: 'Kyckling med citron och färska örter', 
			intro: '<p><strong>Antal portioner:</strong> 6</p>', 
			ingredients: '<ul><li>6 kycklingklubbor</li><li>1 kruka persilja</li><li>1 kruka timjan</li><li>1 st citron, ekologisk</li><li>1 dl olivolja</li><li>Flingsalt, efter smak</li><li>Svartpeppar, efter smak</li></ul>', 
			htmlcontent: '<p><ol><li>Hacka örterna tillsammans med 2-3 tsk flingsalt.</li><li>Lägg det i en skål.</li><li>Riv skalet från citronen och lägg i.</li><li>Pressa i saften. Häll i olivolja och rör om.</li><li>Gnid in kycklingen med blandningen ordentligt, även innanför skinnet.</li><li>Marinera i 30 minuter till en timme.</li><li>Sätt ugnen på 225 grader.</li><li>Lägg kycklingbitarna och de urkramade citronhalvorna i en form och låt den steka i ugnen i cirka 25 minuter.</li><li>Stick ett snitt med en vass kniv i den tjockaste delen, är köttsaften klar är kycklingen färdig.</li><li>Servera med potatis!</li></ol></p>',
			image: 'chicken.jpg'
		},
		{
			id: 2,
			categoryId: 3, 
			title: 'Kyckling med potatis och babyspenat', 
			intro: '<p><strong>Antal portioner:</strong> 4</p>', 
			ingredients: '<ul><li>800g potatis, skalad och skuren i klyftor</li><li>650g kycklingfilé, skuren i skivor</li><li>1tsk chili</li><li>0,5 dl timjan, färsk hackad</li><li>1-1,5 msk torkad rosmarin</li><li>80g babyspenat</li><li>1tsk salt</li><li>1-1.5krm svartpeppar</li></ul>', 
			htmlcontent: '<p><ol><li>Koka potitsklyftorna i lättsaltat vatten i 5-7 minuter.</li><li>Häll av vattnet och ånga av potatisen.</li><li>Värm olivolja (2 msk) i en stekpanna.</li><li>Lägg ner potatisen, strö över rosmarin och stek tills den är lite brynt och har mjuknat.</li><li>Hetta upp olivolja under tiden som potatisen tillreds.</li><li>Tillsätt kycklingskivorna och stek dem tills de är lite brynta och blanda sedan ner chili och timjan.</li><li>Låt allt puttra på låg värme, i ca 15 minuter.</li><li>Blanda ner spenaten, rör om och smaka av med salt och peppar.</li></ol></p>',
			image: ''
		},
		{
			id: 3,
			categoryId: 3, 
			title: 'Kyckling med parmaskinka', 
			intro: '<p><strong>Antal portioner:</strong> 4</p>', 
			ingredients: '<ul><li>4st kycklingfiléer</li><li>4st skivor parmaskinka</li><li>1 knippe rosmarin, färsk</li><li>1 knippe salvia, färsk</li><li>3 st lagerblad</li><li>1 dl olivolja</li><li>½ dl sojasås (obs, läs innehåll noga så att den inte innehåller lök eller vitlök)</li><li>Salt / svartpeppar</li><li>Torkad rosmarin, efter smak</li></ul>', 
			htmlcontent: '<p><ol><li>Sätt ugnen på 175 grader.</li><li>Placera kycklingfiléerna i en ugnsfast form.</li><li>Krydda dem med torkad rosmarin, salt, svartpeppar.</li><li>Strössla finklippt rosmarin och salvia över dem.</li><li>Rulla en parmaskinka runt varje filé.</li><li>Tillaga i ugn ca 30-40 minuter.</li></ol></p>',
			image: 'chickenparma.jpg'
		},
		{
			id: 4,
			title: 'Parmesangratinerad kyckling',
			categoryId: 3,
			intro: '<p>Antal portioner: 4</p>',
			ingredients: '<ul><li>600 g kycklingfil&eacute;</li><li>4 dl laktosfri creme fraiche</li><li>150 g parmesanost</li><li>1 tsk salt</li><li>0,5 tsk svartpeppar</li><li>1 msk sm&ouml;r</li></ul>',
			htmlcontent: '<ol><li>S&auml;tt ugnen p&aring; 200 grader</li><li>Dela kycklingfil&eacute;erna med ett snitt p&aring; tv&auml;ren och l&auml;gg i ugnsfast form.</li><li>Riv parmesanosten och blanda med creme fraiche i en bunke. Tills&auml;tt salt och svartpeppar.</li><li>T&auml;ck kycklingen med ostblandningen och s&auml;tt in i ugnen i ca 30 minuter.</li></ol><p><em>Servera med ris och en god sallad!</em></p>',
			image: ''
		}
	];

	return {
		Items: items
	}

}();

Fodmaps.RecipesMeat = function() {
	var items = [
		{
			id: 1,
			categoryId: 4, 
			title: 'Dubbelmarinerad fläskfilé', 
			intro: '<p><strong>Antal portioner:</strong> 4</p>', 
			ingredients: '<ul><li>2 st fläskfiléer</li><li>Laktosfritt smör</li></ul><h3>Marinad 1</h3><ul><li>1 liter vatten</li><li>0,8 dl grovt salt</li><li>5 kvistar färsk rosmarin</li><li>Malen vitpeppar, efter smak</li></ul><h3>Marinad 2</h3><ul><li>1 citron</li><li>2 dl olivolja</li><li>2 msk finhackad rosmarin</li><li>Salt och grovmalen vitpeppar, efter smak.</li></ul>', 
			htmlcontent: '<h3>Dagen före:</h3><p><ol><li>Sätt ugnen på 175 grader.</li><li>Putsa fläskfiléerna. Krydda och bryn runt om i laktosfritt smör.</li><li>Lägg över i en ugnssäker form och stick i en kötttermometer i den tjockaste delen.</li><li>Ugnsstek tills innertemperaturen är 70 grader.</li><li>Koka upp vatten, salt, rosmarinkvistar och grovt malen vitpeppar till den första marinaden.</li><li>Ta av marinaden från plattan och lägg i fläskfiléerna.</li><li>Täck med plastfolie och ställ in i kylen över natten.</li></ol></p><h3>Andra dagen:</h3><p><ol><li>Skala citronen och skär skalet (endast det gula) i strimlor.</li><li>Koka upp lite vatten och lägg ner det strimlade citronskalet. Låt koka i ca 3 minuter.</li><li>Häll av vattnet och blanda skalet med citronjuice (pressad från citronen), olivolja, rosmarin och vitpeppar till marinad nummer två.</li><li>Skär fläkfiléerna i skivor och lägg upp på ett fat med kant.</li><li>Häll på marinaden och låt marinera minst två timmar. Låt köttet bli rumsvarmt. Servera med sallad och potatis.</li></ol></p>'
		},
		{
			id: 2,
			categoryId: 4, 
			title: 'Örtkryddad fläskfilé med rostad rotselleri', 
			intro: '<p><strong>Antal portioner:</strong> 4</p>', 
			ingredients: '<ul><li>300 g rotselleri</li><li>900 g potatis</li><li>1 msk olivolja</li><li>ca 500g fläskfilé</li><li>1 msk laktosfritt smör eller margarin</li><li>Salt, efter smak</li><li>Svartpeppar, efter smak</li><li>1 msk finhackad färsk timjan</li></ul><h3>Ostkräm</h3><ul><li>1,5 dl riven lagrad ost</li><li>2,5 dl laktosfri kvarg (alt. laktosfri kesella)</li><li>2 msk finhackad färsk timjan</li></ul>', 
			htmlcontent: '<p><ol><li>Sätt ugnen på 225 grader och ställ in en ugnsplåt.</li><li>Skala och skiva potatisen och rotsellerin.</li><li>Blanda rotfrukterna med olivoljan. Häll ut på en förvärmda ugnsplåten och rosta mitt i ugnen i ca 30 minuter. Rör om då och då.</li><li>Bryn köttet på båda sidor i matfettet. Krydda med salt, svartpeppar och timjan.</li><li>Lägg köttet på rotfruktsplåten och låt steka med de sista 15 minuterna av stektiden eller tills köttets innertemperatur är 70 grader.</li><li><strong>Ostkräm:</strong> Mixa eller blanda ihop osten med kvargen, krydda med timjan, salt och pepper.</li><li>Servera köttet tillsammans med rostade rotfrukterna, ostkräm och en sallad.</li></ol></p>'
		},
		{
			id: 3,
			title: 'Köttbullar',
			categoryId: 4,
			intro: '<strong>Tips:</strong> Receptet passar även till hamburgare. Se förslag på bröd under kategorin <em>Bakverk</em>',
			ingredients: '<ul><li>3/4 dl glutenfria havregryn</li><li>1 msk potatismj&ouml;l</li><li>1,5 dl laktosfri matlagningsgr&auml;dde</li><li>400 g blandf&auml;rs</li><li>1-2 krm chilipulver (anpassa m&auml;ngd efter smak)</li><li>1 &auml;gg</li><li>1 tsk salt</li><li>1 msk kalvfond *</li><li>1 krm svartpeppar</li><li>0,5 tsk worcesters&aring;s *</li></ul><p>* <strong>OBS</strong>, anv&auml;nd ej under elimineringsfas. B&aring;de kalvfond och worcesters&aring;s inneh&aring;ller / kan inneh&aring;lla icke fodmaps-v&auml;nliga ingredienser. Testa dig fram om du tolererar dessa ingredienser. &Auml;r man k&auml;nslig g&aring;r det att ers&auml;tta med n&aring;gra droppar sojas&aring;s f&ouml;r att g&ouml;ra k&ouml;ttbullarna n&aring;got "mustigare" i smaken.</p><p>&nbsp;</p>',
			htmlcontent: '<ol><li>Blanda havregryn, potatismj&ouml;l och gr&auml;dde.</li><li>L&aring;t sv&auml;lla 10 minuter.</li><li>Tills&auml;tt resterande ingredienser och blanda ihop.</li><li>Rulla k&ouml;ttbullarna och stek dom i sm&ouml;r.</li></ol>',
			image: ''
		}
	];

	return {
		Items: items
	}
	
}();

Fodmaps.RecipesPasta = function() {
	var items = [
		{
			id: 1, 
			title: 'Risnudlar carbonara',
			categoryId: 5,
			intro: '<p><strong>Antal portioner:</strong> 3-4</p><p>Risnudlar är en bra ersättning för pasta som smakar utmärkt som en krämig carbonara!</p>', 
			ingredients: '<ul><li>1 pkt risnudlar, 250g</li><li>1 pkt bacon</li><li>2 ägg</li><li>1 dl laktosfri grädde</li><li>1 dl riven parmesanost</li><li>1 tsk torkad basilika (ersätt gärna med färsk basilika)</li></ul>', 
			htmlcontent: '<p>Vispa samman ägg, vispgrädde, basilika och parmesanost. Skär baconet i små bitar. Hetta upp en panna och stek bacon tills baconet fått en fin färg. Under tiden, koka upp vatten och koka risnudlarna mjuka (se förpackning för koktid). Häll av vattnet. Blanda ner bacon och därefter äggblandningen precis innan carbonaran ska serveras.</p>',
			image: 'carbonara.jpg'
		},
		{
			id: 2,
			categoryId: 5, 
			title: 'Rårakor',
			intro: '', 
			ingredients: '<ul><li>750g potatis</li><li>1,5 tsk salt</li><li>1 krm svartpeppar</li><li>1 ägg</li><li>Laktosfritt smör till stekning</li></ul>', 
			htmlcontent: '<p><ol><li>Skala potatisen och riv den på rivjärnets grova sida.</li><li>Lägg i ett durkslag och krama ur överskottsvätskan.</li><li>Blanda potatis, salt, svartpeppar och ägg.</li><li>Hetta upp en stekpanna eller plättlagg.</li><li>Klicka ut smeten och platta ut till tunna rårakor.</li><li>Stek dem i smör tills de är brynta på båda sidor.</li></ol></p>',
		},
		{
			id: 3,
			categoryId: 5, 
			title: 'Pasta med kyckling, spenat och fetaost',
			intro: '', 
			ingredients: '<ul><li>400g glutenfri pasta</li><li>350 g kycklingfilé</li><li>2 msk olivolja</li><li>1 tsk salt</li><li>2 krm svartpeppar</li><li>200 g smulad fetaost</li><li>1 påse färsk bladspenat (ca 70 g)</li></ul>', 
			htmlcontent: '<p><ol><li>Koka den glutenfria pastan enligt anvisning på förpackningen.</li><li>Skär kycklingfilé i strimlor.</li><li>Stek kycklingen i olivolja tills den är genomstekt, krydda med salt och svartpeppar.</li><li>Blanda pastan och kycklingen tillsammans med smulad fetaost och grovt hackad bladspenat.</li></ol></p>',
		},
		{
			id: 4,
			title: 'Pastagratäng',
			categoryId: 5,
			intro: '<p>Antal portioner: 4</p>',
			ingredients: '<ul><li>Ca 7 dl glutenfri penne</li><li>400 g k&ouml;ttf&auml;rs</li><li>1 st v&aring;rl&ouml;k (<strong>Obs,&nbsp;</strong>endast den gr&ouml;na delen)</li><li>1 burk krossade tomater</li><li>F&auml;rsk basilika efter smak</li><li>2 dl riven ost</li><li>Salt och peppar efter smak</li></ul>',
			htmlcontent: '<ol><li>Koka pastan enligt anvisning (Den f&aring;r g&auml;rna vara lite al dente)</li><li>S&auml;tt ugnen p&aring; 250 grader.</li><li>Sk&auml;r v&aring;rl&ouml;ken i skivor.</li><li>Hetta upp sm&ouml;r i en stekpanna. Bryn v&aring;rl&ouml;ken.</li><li>Stek k&ouml;ttf&auml;rsen tillsammans med v&aring;rl&ouml;ken.</li><li>Tills&auml;tt krossade tomater, l&aring;t sm&aring;puttra i ca 5 minuter. Smaka av med salt och peppar.</li><li>Varva pasta och k&ouml;ttf&auml;rsr&ouml;ra i en ugnsfast form. H&auml;ll &ouml;ver osten och gratinera i 10 minuter h&ouml;gst upp i ugnen.</li></ol><p>Servera med en god sallad!</p><p><em>Tips: Passar utm&auml;rkt att frysa i matl&aring;dor.</em></p>',
			image: ''
		}
	];

	return {
		Items: items
	}
	
}();

Fodmaps.RecipesSoupSallad = function() {
	var items = [
		{
			id: 1,
			categoryId: 6, 
			title: 'Morot, spenat och quinoa sallad', 
			intro: '', 
			ingredients: '<ul><li>135g quinoa</li><li>1 tsk fint riven ingefära</li><li>1 tsk malen spiskummin</li><li>1 tsk mald korainder</li><li>1,5 dl vatten</li><li>0,5 tsk salt</li><li>3-4 (250g) små morötter, grovt riven</li><li>1 msk finhackad gräslök</li><li>1 stor näve (ca 50g) babyspenat, grovhackade</li><li>1 msk citronsaft</li><li>3 msk olivolja</li><li>2 msk grovt hackade mandlar, pinjenötter eller jordnötter <strong>(OBS, se nedan)</strong></li></ul>', 
			htmlcontent: '<p><ol><li>Skölj quinoan väl i kallt vatten.</li><li>Häll i olja i en kastrull och tillsätt ingefära och kryddor.</li><li>Låt koka i någon minut.</li><li>Tillsätt quinoa och rör om.</li><li>Koka i 2 minuter under omröring.</li><li>Tillsätt vatten, täck med lock och låt koka 10-15 minuter tills quinoan är mjuk och vattnet har absorberats.</li><li>Lägg quinoan i en skål och kyl till rumstemperatur.</li><li>Blanda kall quinoa med morötter, gräslök och spenat.</li><li>Blanda citronsaft och olja, häll över salladen och blanda försiktigt.</li><li>Rosta nötter i en torr stekpanna tills de fått gyllene färg och strö över salladen.</li></ol></p><p><strong>OBS, nötter innehåller en del FODMAPs. Ta bara en begränsad mängd, uteslut helt i elimineringsfasen.</strong></p>'
		},
		{
			id: 2,
			categoryId: 6, 
			title: 'Snabb risnudelsoppa med räkor', 
			intro: '', 
			ingredients: '<ul><li>1 vårlök (endast toppen på löken)</li><li>C:a 10 st cocktailtomater</li><li>4 portioner risnudlar</li><li>1 liter grönsaksbuljong, vatten + buljongtärning. <strong>OBS,</strong> kontrollera ingredienser i buljongtärningen.</li><li>2 msk olivolja</li><li>Salt och peppar, efter smak</li><li>Räkor till servering</li></ul>', 
			htmlcontent: '<p><ol><li>Skala vårlöken och strimla den fint. Använd endast toppen, den gröna delen.</li><li>Koka risnudlar i grönsaksbuljongen tillsammans med vårlöken i 2-3 minuter.</li><li>Stek cocktailtomaterna i olivoljan, samksätt med salt och peppar.</li><li>Blanda samman allt till en soppa och strö över räkorna.</li></ol></p>'
		},
		{
			id: 3,
			categoryId: 6, 
			title: 'Morotssoppa med räkor', 
			intro: '', 
			ingredients: '<ul><li>400 g räkor</li><li>2 vårlökar (endast toppen på löken)</li><li>500 g morötter</li><li>1 msk olivolja</li><li>1 liter hönsbuljong, vatten + buljongtärning. <strong>OBS,</strong> kontrollera ingredienser i buljongtärningen.</li><li>50 g laktosfritt smör eller margarin</li><li>2-3 krm chili</li><li>Salt och peppar, efter smak</li></ul><h3>Ört- och citronblandning</h3><ul><li>1 kruka körvel</li><li>1 citron</li><li>2 msk olivolja</li></ul>', 
			htmlcontent: '<p><ol><li>Skala vårlöken och skiva den fint. Använd endast toppen, den gröna delen.</li><li>Skala och skiva morötterna.</li><li>Bryn vårlök och morötter i oljan i en stor kastrull.</li><li>Tillsätt buljongen och låt koka ca 20 minuter eller tills morötterna är mjuka.</li><li><strong>Ört- och citronblandning:</strong> Hacka körveln fint och spara några kvistar till dekoration. Riv skalet (endast det gula) av citronen.</li><li>Skala räkorna och skär i stora bitar</li><li>Mixa soppan slät i en mixerkanna. Klicka ner matfett och mixa lite till.</li><li>Häll tillbaka soppan i kastrullen. Smaka av med chili, salt och peppar.</li><li>Stek räkorna hastigt på hög värme i olivoljan, vänd ner citronskal, körvel och en nypa salt och peppar.</li><li>Servera soppan med de stekta räkbitarna</li></ol></p>'
		}

	];

	return {
		Items: items
	}
	
}();


Fodmaps.RecipesData = function() {

	var categories = {
		items: [
			{
				id: 1,
				title: 'Bakverk och efterrätter'
			},
			{
				id: 2,
				title: 'Fisk'
			},
			{
				id: 3,
				title: 'Kyckling'
			},
			{
				id: 4,
				title: 'Kött'
			},
			{
				id: 5,
				title: 'Pasta och potatis'
			},
			{
				id: 6,
				title: 'Soppor, sallad och tillbehör'
			}
		]
	};

	return {
		Categories: categories
	}

}();

$(function(){
	Fodmaps.Recipes.Init();
});